packages:
  - .
  - ui
  - packages/*
  - extensions/*

minimumReleaseAge: 2880

minimumReleaseAgeExclude:
  - "acpx"
  - "axios"
  - "basic-ftp"
  - "hono"
  - "openclaw"
  - "protobufjs"
  - "@buape/carbon"
  - "vite"
  - "@cloudflare/workers-types"
  - "@hono/node-server"
  - "@mariozechner/*"
  - "@typescript/native-preview*"
  - "@types/node"
  - "@rolldown/*"
  - "@oxlint/*"
  - "@oxfmt/*"
  - "axios@1.15.0"
  - "discord-api-types"
  - "rolldown"
  - "sqlite-vec"
  - "sqlite-vec-*"

onlyBuiltDependencies:
  - "@discordjs/opus"
  - "@lydell/node-pty"
  - "@matrix-org/matrix-sdk-crypto-nodejs"
  - "@napi-rs/canvas"
  - "@tloncorp/api"
  - "@whiskeysockets/baileys"
  - authenticate-pam
  - esbuild
  - node-llama-cpp
  - protobufjs
  - sharp

ignoredBuiltDependencies:
  - koffi
